- Reopen a closed loan
Get loans
Get borrower's loans
Create loan
Get loan by ID
Update loan
Accelerate loan
Activate loan
Cancel loan
Charge-off loan
Close loan
Get loan credit limit
Update loan credit limit
Freeze loan
Get loan lock status
Migrate loan
Refresh loan
Reimburse
Reverse accelerate
Reverse charge-off
Unfreeze loan
Reopen a closed loan
Reopen a closed line of credit. This will allow new draws to be added. By default, draws in paidOff status will not be reopened, and a line of credit that has transitioned to paidOff status cannot be reopened. Set force to true to also reopen the line and all of its draws when they are paidOff (e.g. for a post-closure balance correction). No special permission is required beyond loan:reopen.
Security
oauth2(Required scopes: loan:reopen) or bearerAuth or apiKeyHeader
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/reopen' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"caseId": "string",
"force": false,
"reopenReason": "string"
}'